---
lang: en
title: 'API docs: rest.textbodyparser.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.textbodyparser.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [TextBodyParser](./rest.textbodyparser.md) &gt; [(constructor)](./rest.textbodyparser.(constructor).md)

## TextBodyParser.(constructor)

Constructs a new instance of the `TextBodyParser` class

<b>Signature:</b>

```typescript
constructor(options?: RequestBodyParserOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | <code>RequestBodyParserOptions</code> |  |


